//-------------------------------------------------------------------------*
//硬件连接:和PC USB口相连接                                                *
//程序描述:利用USB 收发                                                    *
//目    的:初步掌握利用USB的方式                                           *
//--------------------苏州大学飞思卡尔嵌入式系统实验室---------------------*
#include "Includes.h" 

INT8U USBRecBuff[64];
INT8U USBSendBuff[64];
//主函数
void main(void) 
{
    INT8U len=0;
    INT8U i = 0;
    DisableMCUint();     //禁止总中断
    
    //1. 芯片初始化
    MCUInit();
    
    EnableMCUint();

    //2. 模块初始化  
    USBInit();           //USB初始化
    
    //总循环
    while (1)
    {    
       len = USBReceiveData(USB_RX_EP_NO,USBRecBuff);
       if(len != 0) 
       {
          for(i = 0;i < len;i++)
          {
              USBSendBuff[i] = USBRecBuff[i];
          }
          USBSendData(USB_TX_EP_NO,USBSendBuff,len);
       }
    }
}
